VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
RoutingInfo Struct Reference

Routing Information: When the plug-in supports multiple I/O busses, a host may want to know how the busses are related. More...

`#include <ivstcomponent.h>`

## Public Attributes
MediaType | mediaType
| media type see MediaTypes
int32 | busIndex
| bus index
int32 | channel
| channel (-1 for all channels)

## Detailed Description

Routing Information: When the plug-in supports multiple I/O busses, a host may want to know how the busses are related.

The relation of an event-input-channel to an audio-output-bus in particular is of interest to the host (in order to relate MIDI-tracks to audio-channels)
See also: IComponent::getRoutingInfo, vst3Routing

## Member Data Documentation

## ◆ mediaType

MediaType mediaType

media type see MediaTypes

## ◆ busIndex

int32 busIndex

bus index

## ◆ channel

int32 channel

channel (-1 for all channels)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.